Skip to main content

Get record from the default key-value store of an Actor's last run

GET 

/v2/actors/:actorId/runs/last/key-value-store/records/:recordKey

Gets a value stored under a specific key in the default key-value store of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultKeyValueStoreId and then using the Get key-value store record endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor
    recordKey string required

    Key of the record.


    Example: someKey

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

    signature string

    Signature used for the access.


    Example: 2wTI46Bg8qWQrV7tavlPI
    attachment boolean

    If true or 1, the response will be served with Content-Disposition: attachment header, causing web browsers to offer downloading HTML records instead of displaying them.


    Example: true

Status 200

Response Headers
    {
    "message": "Hello, world!",
    "count": 42
    }